Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.invalidation
Class BatchInvalidation

    java.lang.Object
      org.jboss.cache.invalidation.BatchInvalidation

All Implemented Interfaces:
  Serializable

public class BatchInvalidation
extends Object
implements Serializable

Structure that contains keys to be invalidated and the name of the group on which these invalidation must be performed.

Version:
  $Revision: 1.2 $

  Revisions:

  24 septembre 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  `InvalidationManagerMBean`, Serialized Form

Field Summary
`protected Serializable[]` | `ids`
`protected String` | `invalidationGroupName`

Constructor Summary
`BatchInvalidation()`
`BatchInvalidation(Serializable[] ids, String invalidationGroupName)`

Method Summary
`Serializable[]` | `getIds()`
`String` | `getInvalidationGroupName()`
`void` | `setIds(Serializable[] ids)`
`void` | `setInvalidationGroupName(String invalidationGroupName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ids

    protected Serializable[] ids

### invalidationGroupName

    protected String invalidationGroupName

Constructor Detail

### BatchInvalidation

    public BatchInvalidation()

### BatchInvalidation

    public BatchInvalidation(Serializable[] ids,
                             String invalidationGroupName)

Method Detail

### getIds

    public Serializable[] getIds()

### setIds

    public void setIds(Serializable[] ids)

### getInvalidationGroupName

    public String getInvalidationGroupName()

### setInvalidationGroupName

    public void setInvalidationGroupName(String invalidationGroupName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.